clear all;close all;
e1=[500:20:3500];
e3=[0:pi/100:pi];

[E1,E3]=meshgrid(e1,e3);
A=1-.2*(E3);

X1=A.*E1.*cos(E3);
X3=A.*E1.*sin(E3);

figure(1)
plot(X1(1:5:end,:)',X3(1:5:end,:)','r');
hold on
plot(X1(:,1:5:end),X3(:,1:5:end),'b');
axis ij
axis equal
xlabel('Distance (m)')
ylabel('Depth (m)')
print -depsc2 2Dex2.ps
