program AppCut3D
  use sep
  use utils_ 
  implicit none
  real               :: appx,appy,dr
  real,    pointer   :: data(:,:,:,:)

  type(myaxis) :: ax,az,ay,as
  integer      :: is,iix(2),ix,iy
  integer      :: ncx,ncy
  call sep_init()
  call from_param("ncx",ncx,100)
  call from_param("ncy",ncy,0)

  call hinaxis(az,1)
  call hinaxis(ax,2)
  call hinaxis(ay,3)
  call hinaxis(as,4)
  call houaxis(az,1)
  call houaxis(ax,2)
  call houaxis(ay,3)
  call houaxis(as,4)
  call sep_close()

  allocate(data(az%n,ax%n,ay%n,as%n))
 
  call sep_read(data)
write(0,*) 'READ IN DATA'
  do is=1,as%n
     if (mod(is,50).eq.1) write(0,*) 'WORKING ON ',is,' OF ', as%n
     iix=maxloc(data(2,:,:,is))
     ix=iix(1)
     iy=iix(2)
     if (iix(2) .ne. 1) then
        data(:,1:ix-ncx, 1:iy-ncy,is)=0.
        data(:,ix+ncx+1:,1:iy-ncy,is)=0.
        data(:,1:ix-ncx ,iy+ncy+1,is)=0.
        data(:,ix+ncx+1 ,iy+ncy+1,is)=0.
     else
       data(:,1:ix-ncx, 1,is)=0.
       data(:,ix+ncx+1:,1,is)=0.
     end if
  end do
  call sep_write(data)
  write(0,*) 'CUT OUT APERATURE'
  call exit(0)
end program AppCut3D






