program InitRC
  use sep
  use utils_
  implicit none
  integer                           :: n1,n2,maxnum,nray,itau
  real                              :: d1,o1,xsp,pi,d2,o2,R,dtau,begang,endang
  complex, dimension(:),allocatable :: ang,model
  call sep_init()
  call from_history("n1",n1)
  call from_history("d1",d1)
  call from_history("o1",o1)
  call from_history("n2",n2)
  call from_history("d2",d2)
  call from_history("o2",o2)
  call from_param  ("dtau",dtau)
  call from_param  ("begang",begang)
  call from_param  ("endang",endang)
  call from_param  ("nray",nray)
  call from_param  ("maxnum",maxnum)
  call from_param  ("xsp",xsp)
  call from_param  ("R", R)
  allocate(   data(n1,n2),model(n1,n2),ang(nray) )
  pi=2.*asin(1.)
  ang=
  do itau=1,maxnum
     xang=R*cos( (endang-begang)*pi/(180*(nray-1))*ntodo+begang*pi/180.0+pi/2.0) + xsp
     zang=R*sin( (endang-begang)*pi/(180*(nray-1))*ntodo+begang*pi/180.0+pi/2.0)   

  end do

     call sep_write(model)
     call exit(0)
   end program InitRC
