/* global variables and function declarations */

#define YES 1
#define NO  0
#define ABSENT -1999.25

#define max(a,b) a>b?a:b
#define min(a,b) a<b?a:b

#ifndef PI
#define PI            3.14159265358979323846
#endif

point3D*** rap; /* ray point */

float oa;	/* origin of the aperture direction = 0.0 */
int na;		/* number of steps in the aperture direction */
float sa; /* aperture step */

float or;	/* origin of the radial direction = 0.0 */
int nr;		/* number of steps in the radial direction */
float sr;	/* radial step */

int nt;
float ot;
float st;

int ia;
int ir;
int it;		/* indices */

float xmin,xmax;
float ymin,ymax;
float zmin,zmax;

int   nt1,nt2,nt3,nt4;
float ot1,ot2,ot3,ot4;
float dt1,dt2,dt3,dt4;

float view_angle;
float zoom;
int rays;
int wavefronts;
int wft;
int aperture;
int cone;
int apt;
int oneray;
int ray;
int usecolor;

