/* TESSELATE */
void tesselate(rays*,triplets*,tetrahedra*);
void tesselate_init(rays*,triplets*,tetrahedra*);
void tesselate_close(triplets*,tetrahedra*);
void group_rays(rays*,triplets*);
void get_T4(rays*,triplets*,tetrahedra*);
void get_R3(rays*,triplets*,int);
void out_T4(triplets*,tetrahedra*,int,int,int,int,int,char,int);

/* INTERPOLATE SMART */
/* int svp(point3D*,point3D*,point3D*); */
/* void getdiag(point3D*,point3D*,point3D*,point3D*); */
/* int intri(point3D*,point3D*,point3D*,point3D*); */
/* int istilted(point3D*,point3D*,point3D*); */
/* void punch(point3D*,point3D*,point3D*,point3D*); */
/* void punchit(cube*,cube*,point3D*,point3D*,point3D*,point3D*); */

/* INTERPOLATE FAST */
void get_times_fast(rays*,triplets*,tetrahedra*,cube*,cube*);
void slic3(cube*,cube*,point3D*,point3D*,point3D*,point3D*);
void slic2(cube*,cube*,point3D*,point3D*,point3D*,int);
void slic1(cube*,cube*,point3D*,point3D*,point3D*,int,int);
void sort(point3D**,int,char);
point3D lineval(point3D*,point3D*,float,char);
void getit2(cube*,point3D*,point3D*,point3D*,point3D*);
int ingrid(cube*,point3D*,point3D*,point3D*,point3D*);
void measure_rays(rays*);
void median_filter(cube*, cube*);
void mean_filter(cube*, cube*);

/* INTERPOLATE SLOW */
void get_times_slow(rays*,triplets*,tetrahedra*,cube*, cube*);
int isinT4(point3D*,point3D*,point3D*,point3D*,point3D*);
int isT4(point3D*,point3D*,point3D*,point3D*);
void getit(point3D*,point3D*,point3D*,point3D*,point3D*);
int sameside(point3D*,point3D*,point3D*,point3D*,point3D*);

/* OTHER */
int integerup(float, float, float);
int integerdn(float, float, float);
int intnn(float, float, float);
float volum(point3D*,point3D*,point3D*,point3D*);






