program MakeSWF
  use SEP
  implicit none

  integer                           :: n1,n2,it,ix,t1,t2,t3,t4
  real                              :: d1,d2,o1,o2,xloc,theta,ang,pi,vel
  real, dimension(:,:),allocatable  :: modl
  call sep_init()
  call from_param("ang",ang ) ! Ray param - x-dir
  call from_param("d1",d1   )
  call from_param("d2",d2   )
  call from_param("o1",o1   )
  call from_param("o2",o2   )
  call from_param("n1",n1   )
  call from_param("n2",n2   )
  call from_param("t1",t1   )
  call from_param("t2",t2   )
  call from_param("t3",t3   )
  call from_param("t4",t4   )
  call from_param("vel",vel ) 
  call to_history("n1",n1   )
  call to_history("n2",n2   )
  call to_history("d1",d1   )
  call to_history("d2",d2   )
  call to_history("o1",o1   )
  call to_history("o2",o2   )
  call hclose()
  allocate( modl(n1,n2)                 )
  pi=acos(-1.)
  theta=ang*pi/180.

  if (ang .lt. 0) then
    do ix=1,n2
       it=1.5 - (d2*(ix-1))*tan(theta)
       if (200+it .le. n1 .and. 200+it .ge. 1) then
          modl(200+it,ix)=1.
       end if
     end do
  else
    do ix=1,n2
       xloc=(d2*(ix-1))
       it=1.5 + ((n2-1)*d2-xloc)*tan(theta)
       if (200+it .le. n1 .and. 200+it .ge. 1) then
          modl(200+it,ix)=1.
       end if
    end do
  end if 
!  do ix=1,n2
!     xloc=(d2*(ix-1))
!     if (ang.lt.0) then
!        it=.5 + d1*vel*xloc*tan(theta)
!     else
!        it=1.5 +d1*vel*(xloc-(n2-1)*d2)*tan(theta)
!     end if
!     modl(it+t1,ix)=1.
!     modl(it+t2,ix)=1.
!     modl(it+t3,ix)=1.
!     modl(it+t4,ix)=1.
!  end do
  call sep_write(modl)
  deallocate(modl)

end program MakeSWF
