program Radpat
  use SEP
  implicit none
  integer                            :: i1, i2 ,i3 ,i4 ,i5
  integer                            :: n1, n2, n3, n4 ,n5
  integer, dimension(:), allocatable :: ntodo
  real                               :: o1, o2, o3, o4, o5
  real                               :: d1, d2, d3, d4, d5, pi
  real, dimension(:)        , allocatable :: angtodo
  real, dimension(:)        , allocatable :: pattern
  real, dimension(:,:,:,:,:), allocatable :: model,data
  call sep_init()
  call from_history("n1",n1)  
  call from_history("n2",n2) 
  call from_history("n3",n3) 
  call from_history("n4",n4) 
  call from_history("n5",n5) 
  call from_history("o1",o1)  
  call from_history("o2",o2) 
  call from_history("o3",o3) 
  call from_history("o4",o4) 
  call from_history("o5",o5) 
  call from_history("d1",d1)  
  call from_history("d2",d2) 
  call from_history("d3",d3) 
  call from_history("d4",d4) 
  call from_history("d5",d5) 
  call to_history("n1",n1)  
  call to_history("n2",n2) 
  call to_history("n3",n3) 
  call to_history("n4",n4) 
  call to_history("n5",n5) 
  call to_history("o1",o1)  
  call to_history("o2",o2) 
  call to_history("o3",o3) 
  call to_history("o4",o4) 
  call to_history("o5",o5) 
  call to_history("d1",d1)  
  call to_history("d2",d2) 
  call to_history("d3",d3) 
  call to_history("d4",d4) 
  call to_history("d5",d5) 
  allocate( pattern(n2),ntodo(n2),angtodo(n2) )
  allocate( data(n1,n2,n3,n4,n4), model(n1,n2,n3,n4,n5) )
  call sep_read(data)
  pi=acos(-1.)
  ntodo=(/ (i2,i2=1,n2) /)
  angtodo=ntodo*d2+o2

  pattern=sin(angtodo*pi/180)**2
write(0,*) pattern
  !pattern=1. !sin(angtodo*pi/180)**2

  do i1=1,n1
     do i3=1,n3
        do i4=1,n4
           do i5=1,n5
              model(i1,1:n2,i3,i4,i5)=pattern*data(i1,1:n2,i3,i4,i5)
           end do
        end do
     end do
  end do
  call sep_write(model)
  deallocate(data,model,pattern,ntodo,angtodo)
end program Radpat




