program Rotate2PSV
  use rotate2PSVx
  use SEP
  implicit none 
  integer                                 :: n1,n2,n3		
  real, dimension(:,:,:), allocatable         :: modl,data
  real	                                  :: alpha,beta,slow
  call sep_init()
  call from_param("alpha",alpha         )
  call from_param("beta", beta          )
  call from_param("slow", slow          )
  call from_history("n1"   ,n1          )
  call from_history("n2"   ,n2          )
  call from_history("n3"   ,n3          )
  call hclose()
  allocate( modl(n1,n2,n3), data(n1,n2,n3) )
  call sep_read( data )
  write(0,*) size(data)
  call rotate2PSV1(data,n1,n2,n3,modl,alpha,beta,slow)
  call sep_write(modl) 
  deallocate(data,modl)
end program Rotate2PSV
