program SM25D
  use SEP
  implicit none 
  integer                           :: n1,n2,ix,iz	
  real, dimension(:,:) , allocatable:: avel,bvel,avel_in,bvel_in
  real                              :: o1,o2,d1,d2,p2
  call sep_init()
  call from_param("n1"    ,n1  );
  call from_param("n2"    ,n2  );
  call from_param("o1"    ,o1  );
  call from_param("o2"    ,o2  );
  call from_param("d1"    ,d1  );
  call from_param("d2"    ,d2  ); 
  call from_param("p2"    ,p2  );
  call auxputch    ("n1","i",n1,"aslow_25D.H"   );
  call auxputch    ("n2","i",n2,"aslow_25D.H"   );
  call auxputch    ("o1","r",o1,"aslow_25D.H"   );
  call auxputch    ("o2","r",o2,"aslow_25D.H"   );
  call auxputch    ("d1","r",d1,"aslow_25D.H"   );
  call auxputch    ("d2","r",d2,"aslow_25D.H"   );
  call auxputch    ("n1","i",n1,"bslow_25D.H"   );
  call auxputch    ("n2","i",n2,"bslow_25D.H"   );  
  call auxputch    ("o1","r",o1,"bslow_25D.H"   );
  call auxputch    ("o2","r",o2,"bslow_25D.H"   );
  call auxputch    ("d1","r",d1,"bslow_25D.H"   );
  call auxputch    ("d2","r",d2,"bslow_25D.H"   );
  call hclose()
  allocate (avel(n1,n2)   ,   bvel(n1,n2) )
  allocate (avel_in(n1,n2),bvel_in(n1,n2) )
  call sep_read(avel_in,"avel")
  call sep_read(bvel_in,"bvel")

  if (maxval(avel_in) .gt. 20) avel_in=avel_in/1000.
  if (maxval(bvel_in) .gt. 20) bvel_in=bvel_in/1000.

write(0,*) minval(avel_in)
write(0,*) minval(bvel_in)
  do ix=1,n2
     do iz=1,n1
        avel(iz,ix)=1./(cos(asin(avel_in(iz,ix)*p2))*avel_in(iz,ix)) 
        bvel(iz,ix)=1./(cos(asin(bvel_in(iz,ix)*p2))*bvel_in(iz,ix))
     end do
  end do
  call sep_write(avel,"aslow_25D.H")
  call sep_write(bvel,"bslow_25D.H")
  deallocate(avel_in,bvel_in,avel,bvel)
end program SM25D
