program dsinterp
  use sep
  implicit none
  integer                            :: nx,i,cnt,ns,eol,j
  real                               :: ox,dx,ds
  real,dimension(:),allocatable      :: xin,yin
  complex                            :: newx,xp,yp,newy
  complex, dimension(:),allocatable  :: z,x,y

  call sep_init()
  call from_history("n1",nx         )
  call from_history("d1",dx         )
  call from_history("o1",ox         )
  call from_param("ds",ds,dx        )
  allocate( x(nx),y(nx),z( ceiling(dx/ds*2*nx)),xin(nx),yin(nx) )
  xin= (/ (i,i=0,nx-1)/)*dx+ox
  x=cmplx(xin,0.)
  !! . . Read in points
  call sep_read ( yin )
  y=cmplx(yin,0.)
  
  eol=0
  i=1
  cnt=1
  xp=x(1)
  yp=y(1)
  z(cnt)=cmplx(xp,yp)

  do while(eol .eq. 0)
!  do j=1,100
    newx=(x(i)**2*xp+x(i+1)*(x(i+1)*xp+(y(i)-y(i+1))*(y(i)-yp))-x(i)* &
     (2.*x(i+1)*xp+(y(i)-y(i+1))*(y(i+1)-yp))+csqrt(((x(i)-x(i+1))**2 *&
     (ds**2*((x(i)-x(i+1))**2 +(y(i)-y(i+1))**2 )-(-xp*y(i)-x(i)*y(i+1)&
     +xp*y(i+1)+x(i)*(y(i)-yp)+x(i)*yp)**2))))/((x(i)-x(i+1))**2 + &
     (y(i)-y(i+1))**2)
!write(0,*) j,newx,'newx',xp,yp
    if ( aimag(newx) .eq. 0.) then
       newy=(y(i+1)-y(i))/(x(i+1)-x(i))*(newx-x(i))+y(i)
       z(cnt)=cmplx(real(newx),newy)
       xp=real(newx); yp=newy
       cnt=cnt+1
       i=i+1
    else
       i=i-1
    end if
    if (i .eq. nx) eol=1
  end do

  ns=cnt-1
  call to_history("n1"   ,ns)
  call to_history("o1"   ,ox)
  call to_history("d1"   ,ds)
  call to_history("esize",8 )
  call hclose()
  call sep_write(z)
end program dsinterp
