program TPcut 
  use sep

  implicit none
  integer                                      :: n1,n2,it,iit,n3
  real                                         :: o1,o2,d1,d2,t0,p0,t1,p1,m,lr,b,o3,d3,t
  real, dimension(:,:,:),allocatable           :: data,model
  call sep_init() 
  call from_history( "n1", n1         ) ! Num Time Samples
  call from_history( "n2", n2         ) ! Num Offsets
  call from_history( "n3", n3         ) ! Num Offsets
  call from_history( "o1", o1         ) ! Time offset
  call from_history( "o2", o2         ) ! Space offset
  call from_history( "o3", o3         ) ! Space offset
  call from_history( "d1", d1         ) ! Temporal sampling rate
  call from_history( "d2", d2         ) ! Spatial sampling rate
  call from_history( "d3", d3         ) ! Spatial sampling rate
  call to_history( "n1", n1         ) ! Num Time Samples
  call to_history( "n2", n2         ) ! Num Offsets
  call to_history( "n3", n3         ) ! Num Offsets
  call to_history( "o1", o1         ) ! Time offset
  call to_history( "o2", o2         ) ! Space offset
  call to_history( "o3", o3         ) ! Space offset
  call to_history( "d1", d1         ) ! Temporal sampling rate
  call to_history( "d2", d2         ) ! Spatial sampling rate
  call to_history( "d3", d3         ) ! Spatial sampling rate  call hclose() 
  call from_param( "t0", t0         )
  call from_param( "p0", p0         )
  call from_param( "t1", t1         )
  call from_param( "p1", p1         )
  allocate( data(n1,n2,n3), model(n1,n2,n3)  )
  call sep_read(data)
  m=(p1-p0)/(t1-t0)
  b=((p1+p0)+m*(t1+t0))/2.
  do it=1,n1
     t=(it-1)*d1+o1
     iit=1.5+floor( (t-b)/m)
write(0,*) t,iit
  end do
 ! call sep_rite(model)
  call exit(0)
end program TPcut

