program Velprofile
  use SEP
  implicit none 
  integer                           :: n1,iz	
  real, dimension(:) , allocatable  :: avel,bvel
  real                              :: dz
  call sep_init()

  call auxputch    ("n1","i",300,"avel.H"    );
  call auxputch    ("n1","i",300,"bvel.H"    );
  
  call hclose()
  allocate (avel(300),bvel(300) )
  
  avel(1:5) = 5.5;  bvel(1:5)=2.77;
  avel(6:8) = 6.35; bvel(6:8)=3.2;
  avel(9:11)= 6.47; bvel(9:11)=3.26;
  avel(12:16)= 6.67; bvel(12:16)=3.36;
  avel(17:21)= 6.75; bvel(17:21)=3.4;
  avel(22:25)= 6.93; bvel(22:25)=3.49;
  avel(26:40)= 7.16; bvel(26:40)=3.61;
  avel(41:300)=8.1;  bvel(41:300)=4.33;

  
  call sep_write(avel,"avel.H")
  call sep_write(bvel,"bvel.H")

end program Velprofile
