program BS2FS
  use sep
  implicit none
  integer :: nz,nax,nay,nmx,nmy
  real    :: dz,dax,day,dmx,dmy
  real    :: oz,oax,oay,omx,omy
  real   , allocatable:: data(:,:,:,:,:),model(:,:,:,:,:)
  call sep_init()
  call from_history("n1",nz);   call to_history("n1",nz)
  call from_history("d1",dz);   call to_history("d1",dz)
  call from_history("o1",oz);   call to_history("o1",oz)
  call from_history("n2",nax);  call to_history("n2",nax)
  call from_history("d2",dax);  call to_history("d2",dax)
  call from_history("o2",oax);  call to_history("o2",90-oax)
  call from_history("n3",nay);  call to_history("n3",nay)
  call from_history("d3",day);  call to_history("d3",day)
  call from_history("o3",oay);  call to_history("o3",90-oay)
  call from_history("n4",nmx);  call to_history("n4",nmx)
  call from_history("d4",dmx);  call to_history("d4",dmx)
  call from_history("o2",omx);  call to_history("o4",omx)
  call from_history("n5",nmy);  call to_history("n5",nmy)
  call from_history("d5",dmy);  call to_history("d5",dmy)
  call from_history("o5",omy);  call to_history("o5",omy)
  call to_history("esize",4)

  allocate( data(nz,nax,nay,nmx,nmy),model(nz,nax,nay,nmx,nmy) )
  call sep_read(data)

  model=data

  call hclose()
  call sep_write(model)
  deallocate(data,model)
end program BS2FS
 
