program Combineimages
  use SEP
  implicit none
  integer             :: n1,n2,n3,ii,jj,kk
  real                :: ave,std,d1,d2,o2,o1,eps
  real, dimension(:,:  ),allocatable:: model
  real, dimension(:,:,:),allocatable:: data
  call sep_init()
  call from_history("n1",n1)
  call from_history("n2",n2)
  call from_history("n3",n3)
  call from_history("d1",d1)
  call from_history("d2",d2)
  call from_history("o1",o1)
  call from_history("o2",o2)
  call from_param("eps",eps,0.)
  call to_history("n1",n1)
  call to_history("n2",n2)
  call to_history("n3",1)
  call to_history("d1",d1)
  call to_history("d2",d2)
  call to_history("d3",1)
  call to_history("o1",o1)
  call to_history("o2",o2)
  call to_history("o3",0)
  call sep_close()
  allocate( data(n1,n2,n3),model(n1,n2) )
  call sep_read(data)
  do ii=1,n1
     do jj=1,n2
        ave=0; std=0.
        ave=ave+sum(data(ii,jj,:))/n3
        std=sqrt(sum( (data(ii,jj,:)-ave)**2/)/n3)
        model(ii,jj)=sum( data(ii,jj,:))/(eps+std)
     end do
  end do
  call sep_write(model)
end program Combineimages
