program Getdang
  use sep
  use utils_
  implicit none
  integer                           :: n1
  real                              :: d1,o1,xsp,pi
  real,    dimension(:),allocatable :: ang,model
  complex, dimension(:),allocatable :: data
  call sep_init()
  call from_history("n1",n1)
  call from_history("d1",d1)
  call from_history("o1",o1)
  call from_param("xsp",xsp)
  call to_history("esize",4)
  call to_history("n1",n1)
  call to_history("d1",d1)
  call to_history("o1",o1)
  call sep_close()
  allocate(   data(n1),model(n1),ang(n1) )
  call sep_read(data)
  pi=2.*asin(1.)
  ang=atan( (real(data)-xsp) / (aimag(data))) *180./pi

  model(1:n1-1)=-ang(1:n1-1)+ang(2:n1)
  model(n1)=(ang(n1)-ang(n1-1))

  call sep_write(model)
  call exit(0)
end program Getdang









