program Getdist
  use sep
  use utils_
  implicit none
  integer                           :: n1,ii
  real                              :: d1,o1
  real,    dimension(:),allocatable :: model
  complex, dimension(:),allocatable :: data
  call sep_init()
  call from_history("n1",n1)
  call from_history("d1",d1)
  call from_history("o1",o1)

  call to_history("esize",4)
  call to_history("n1",n1)
  call to_history("d1",d1)
  call to_history("o1",o1)
  call sep_close()
  allocate(   data(n1),model(n1) )
  call sep_read(data)

  model=0.
  do ii=2,n1-1
!     model(ii)=(sqrt( ( real(data(ii)) - real(data(ii-1)) )**2 + &
!                      (aimag(data(ii)) -aimag(data(ii-1)) )**2)+ &
!                sqrt( ( real(data(ii+1)) - real(data(ii)) )**2 + &
!                      (aimag(data(ii+1)) -aimag(data(ii)) )**2)) /2.
     model(ii)= sqrt( ( real( data(ii+1)-data(ii-1) ))**2 + &
                      (aimag( data(ii+1)-data(ii-1) ))**2)/2
  end do 
  model(1)=model(2)
  model(n1)=model(n1-1)
  call sep_write(model)
  call exit(0)
end program Getdist









