module LMO_mod
  use SEP
  implicit none 
contains
  subroutine LMO_2D(mt,mx,dt,dx,ot,ox,p1,avel,modl,tpfact,xpfact)
    integer                          :: mt,mx,qmod,ix,it,tpfact,xpfact
    real, dimension(:,:)             :: modl
    real, dimension(:)               :: avel
    real                             :: dt,dx,ot,ox,p1,theta,xloc,depth,itf
    do ix=1,3*mx
       xloc=(ox+dx*(ix-1))
       theta=asin(p1*avel(1))
       if (p1>=0) then
          it=1.5 + abs(p1)*xloc*tan(theta)/dt+mt
       else
          it=1.5 + abs(p1)*(xloc-mx*dx)*tan(theta)/dt+mt
       end if
       modl(it,ix)=1.
    end do
  end subroutine LMO_2D
end module LMO_mod
