module LMO_25D_mod
  use SEP
  implicit none 
contains
  subroutine LMO_25D(n1,n2,d1,d2,o1,o2,p1,avel,modl)
    integer                          :: n1,n2,ix,it
    real, dimension(:,:)             :: modl
    real                             :: d1,d2,o1,o2,p1,theta,xloc,depth,avel
!write(0,*) d1,d2,o1,o2
!o2=0
    do ix=1,n2
!       xloc=d2*(ix-1)
       xloc=(o2+d2*(ix-1))
       if (p1.gt.0) then
          it=1.5 + (p1*xloc-o1)/d1
       else 
          it=1.5 - (p1*( (n2-1)*d2+o2-xloc)+o1)/d1
       end if
       modl(it,ix)=1.
    end do
  end subroutine LMO_25D
end module LMO_25D_mod
