program MakeSWF_casc
  use SEP
  use LMO_25D_mod
  implicit none

  integer                                :: n1,n2
  real                                   :: p1,p2,d1,d2,o1,o2,ot,ox,avel
  real, dimension(:,:)   ,allocatable    :: modl
  call sep_init()
  call from_history("n1",n1,400           ) ! Num depth samples
  call from_history("d1",d1,0.12          ) ! Depth spacing
  call from_history("o1",o1,0.            ) ! First time loc.
  call from_history("n2",n2,120           ) ! Num x-dir samples
  call from_history("d2",d2,3.            ) ! X-dir spacing
  call from_history("o2",o2,0.            ) ! X-offset
  call from_history("p1",p1               ) ! Ray param - x-dir
  call from_history("p2",p2               ) ! Ray param - y-dir
  call from_param("avel",avel,5.5       )
  call to_history("n1",n1               )
  call to_history("n2",n2               )
  call to_history("d1",d1               )
  call to_history("d2",d2               )
  call to_history("o1",o1               )
  call to_history("o2",o2               )

  allocate( modl(n1,n2)  );modl=0.
!  call LMO_25D(n1,n2,d1,d2,o1,o2,p1,avel,modl)
  call LMO_25D(n1,n2,d1,d2,o1,o2,p1,avel,modl)
  call hclose()
  call sep_write(modl)
  deallocate(modl)

end program MakeSWF_casc
