module PEFdeburst
!  use sep

!  implicit none
!  integer 			  :: n1, na, ia, niter
!  real,    dimension (:), pointer :: data
!  type (filter)                   :: aa

!  call sep_init ()
!  call from_history (n1)
  call from_par ("na",na,3); na = na-1
  call from_par ("niter",	niter, 10)
  call sep_close ()

  allocate (data(n1))
  call allocatehelix (aa, na)
	na = size( aa%lag)
  call sep_read (data)

  aa%flt (1:2)   = (/ -2., 1. /)
  aa%lag = (/ (ia, ia = 1, na ) /)
  call boundn ((/ n1 /), (/ n1 /),  (/na/),aa)

  call pefest1 (na * 2, data, aa)
  aa%mis = .false.
  call printn ((/ n1 /), (/ 1 /), (/ na+1 /), aa)
  call fixbad1 (niter, aa, data)

  call sep_write (data) 
  call exit (0)
end module PEFdeburst



