program Rec2PS 
  use rotate
  use SEP
  implicit none 
  integer                                 :: n1,n2,n3		
  real, dimension(:,:,:), allocatable     :: modl,data
  real	                                  :: alpha,beta,p1,p2
  logical                                 :: adj,add
  call sep_init()
  call from_param("alpha",alpha         )
  call from_param("beta", beta          )
  call from_history("n1"   ,n1          )
  call from_history("n2"   ,n2          )
  call from_history("n3"   ,n3          )
  call from_history("p1"   ,p1          )
  call from_history("p2"   ,p2          )
  call from_param("adj"    ,adj,  .true.)   
  call hclose()
  allocate( modl(n1,n2,n3), data(n1,n2,n3) )

!! . . Read in File
  if (adj) then
     call sep_read( data )
  else 
     call sep_read( modl )
  end if
  call rotatedata_init(n1,n2,n3,alpha,beta,p1,p2)
  call rotatedata(adj,.false.,data,modl)

  !! . . Output file
  if (adj) then
     call sep_write(modl) 
  else
     call sep_write(data)
  end if
  deallocate(data,modl)

end program Rec2PS
