program Startpoints
  use sep
  implicit none
  integer                                :: nray,iray
  integer,  dimension(:),allocatable     :: ntodo
  real                                   :: pi
  real                                   :: begang,endang,xsp,R
  real   ,  dimension(:),allocatable     :: xang,zang,ang
  complex,  dimension(:),allocatable     :: Rayout
  call sep_init()
  call from_param("xsp", xsp                )
  call from_param("R",   R                  )
  call from_param("begang",begang           ) 
  call from_param("endang",endang           )
  call from_param("nray",nray               )
  allocate( Rayout(nray),ntodo(nray)        )
  allocate( xang(nray),zang(nray),ang(nray) )
  ntodo = (/ (iray, iray=0,nray-1) /)  
  pi=2.*asin(1.)
  ang=(endang-begang)*pi/(180.*(nray-1))*ntodo+begang*pi/180.0
  xang=R*sin( ang ) + xsp
  zang=R*cos( ang ) 
  Rayout=cmplx(xang,zang)
  call to_history("n1",nray)
  call to_history("o1",begang)
  call to_history("d1",1)
  call to_history("esize",8)
  call sep_write(Rayout)
end program Startpoints
