# 1 "<stdin>"
# 1 "<built-in>"
# 1 "<command line>"
# 1 "<stdin>"
program dsinterp
  use sep
  implicit none
  integer :: nx,i,cnt,ns,eol,j,j1,j2
  integer, allocatable :: xtmp(:)
  real :: oxin,dxin,dsin
  real :: ox,dx,ds,ytmp
  real,dimension(:),allocatable :: xin(:),yin(:)
  complex :: newx,xp,yp,newy
  complex, allocatable :: z(:)
  complex, allocatable :: x(:),y(:)
  call sep_init()
  call from_history("n1",nx )
  call from_history("d1",dxin );dx=dble(dxin)
  call from_history("o1",oxin );ox=dble(oxin)
  call from_param("ds",dsin,dxin);ds=dble(dsin)
  allocate( x(nx),y(nx),z( ceiling(dx/ds*10*nx)),xin(nx),yin(nx) )
  allocate( xtmp(1) )

  xin= (/ (i,i=0,nx-1)/)*dx+ox
  x=cmplx(xin,0.0)
  call sep_read ( yin )
  y=cmplx(yin,0.)
  eol=0
  i=1
  cnt=1
  xp=x(1)
  yp=y(1)
  z(cnt) = cmplx(xp,yp)

  do while( j1 .ne. 10*nx .or. j2 .ne. 10*nx )
     xtmp=minloc( abs(xin-real(xp)) );
     ytmp=minval( abs(xin-real(xp)) );
     j1=xtmp(1);
     if (j1 .ge. nx .and. ytmp .gt. 0.d0) then
        exit
     end if
     if (ytmp .lt. 0.d0) then
        j2=j1
        j1=j1-1
     else
        j2=j1+1
     end if
     newx=(x(j1)**2.0*xp+x(j2)*(x(j2)*xp+(y(j1)-y(j2))*(y(j1)-yp))-x(j1)*&
     (2.0*x(j2)*xp+(y(j1)-y(j2))*(y(j2)-yp))+csqrt(((x(j1)-x(j2))**2.0 *&
     (ds**2.0*((x(j1)-x(j2))**2.0+(y(j1)-y(j2))**2.0 )-(-xp*y(j1)-x(j1)*y(j2)&
     +xp*y(j2)+x(j1)*(y(j1)-yp)+x(j1)*yp)**2.0))))/((x(j1)-x(j2))**2.0 + &
     (y(j1)-y(j2))**2.0)

     if ( abs(aimag(newx)) .lt. 1.e-10) then
        newy=(y(j2)-y(j1))/(x(j2)-x(j1))*(newx-x(j1))+y(j1)
        z(cnt)=cmplx(real(newx),real(newy))
        xp=real(newx); yp=newy
        cnt=cnt+1
     end if
  end do
  ns=cnt-1
  call to_history("n1" ,ns)
  call to_history("o1" ,oxin)
  call to_history("d1" ,dsin)
  call to_history("esize",8 )
  call hclose()
  call sep_write(z(1:ns))
end program dsinterp
