program FDMdtm_NL
  use sep
  use util_
  use fft
  use fddtmrc_NL

  implicit none
  type(myaxis)                  :: aw,ax,az
  character(len=128)            :: name
  integer                       :: method
  complex, pointer              :: dat(:,:)
  complex, pointer              :: wfl(:,:)
  real,    pointer              :: rcp(:,:,:)
  real,allocatable,dimension(:) :: dx_init
  call sep_init()
  call from_param("method",method,1)
  call hinaxis(aw,2)
  call hinaxis(ax,1)
  name="rcp"
  call ainaxis(az,1,name)
  call houaxis(aw,2)
  call houaxis(ax,1)
  call to_history ("esize",8)
  call sep_close()

  allocate(rcp(az%n,ax%n,5),dat(ax%n,aw%n),wfl(ax%n,aw%n),dx_init(ax%n))

  call sep_read(dat)
  call sep_read(rcp, "rcp")
  call sep_read(dx_init,"dx_init")
!  write(0,*) "a",minval(rcp(:,:,1)),maxval(rcp(:,:,1))
!  write(0,*) "b",minval(rcp(:,:,2)),maxval(rcp(:,:,2))
!  write(0,*) "c",minval(rcp(:,:,3)),maxval(rcp(:,:,3))
!  write(0,*) "d",minval(rcp(:,:,4)),maxval(rcp(:,:,4))
!  write(0,*) "s",minval(rcp(:,:,5)),maxval(rcp(:,:,5))

  ! init datuming
  call fddtmrc_init(aw,ax,az)
  call dtmrc15_NL(dat,wfl,rcp,dx_init)

  call sep_write(wfl)
  call exit (0)
end program FDMDTM_NL




